package com.education.model.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

@TableName("stu_homework_info")
public class StuHomeworkInfo extends BaseEntity<StuHomeworkInfo> {

    private Integer studentId;
    private Integer homeworkInfoId;
    private Integer correctFlag;
    private Integer mark;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitTime;
    private Integer teacherId;

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Integer getHomeworkInfoId() {
        return homeworkInfoId;
    }

    public void setHomeworkInfoId(Integer homeworkInfoId) {
        this.homeworkInfoId = homeworkInfoId;
    }

    public Integer getCorrectFlag() {
        return correctFlag;
    }

    public void setCorrectFlag(Integer correctFlag) {
        this.correctFlag = correctFlag;
    }

    public Integer getMark() {
        return mark;
    }

    public void setMark(Integer mark) {
        this.mark = mark;
    }

    public Date getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(Date submitTime) {
        this.submitTime = submitTime;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }
}